Google AdSense

Sunset Edition
This update of the plugin is the last publicly released version. We do not expect to make any serious changes or add new features to it from now on.

We may not always be able to provide prompt support for this plugin on the WordPress.org forums. If you would like to have professional support or extra/custom features, xem xét việc mua các Siêu phiên bản

Quảng cáo EZ Plugin cho Google AdSense cung cấp một giao diện sắp xếp hợp lý để triển khai quảng cáo Google trên blog của bạn. Bạn có thể tùy biến màu sắc, kích thước và vị trí của các khối quảng cáo và kích hoạt chúng ngay từ giao diện Plugin interface.The quản trị sử dụng một giao diện, tính năng cao và hiện đại dựa trên twitter khung bootstrap với hào phóng, bối cảnh nhạy cảm giúp đỡ về mọi lựa chọn duy nhất.

Live Demo

Google AdSense admin interface is feature-rich, user-friendly and functional. Please visit this fully operational live demo site to see what it can do for you.

Quảng cáo EZ Plugin cho Google AdSense là một phiên bản đặc biệt của Google AdSense cực, cho phép bạn quản lý trong cơ bản, tiêu chuẩn và chế độ chuyên gia, tất cả trong một giao diện hiện đại thiết kế đẹp.

Các tính năng

  • Hiển thị phong phú và các tùy chọn liên kết.
  • Kiểm soát định vị và hiển thị các khối quảng cáo trong mỗi bài viết hoặc trang.
  • Giao diện tùy biến với Google chọn màu.
  • Widgets cho sidebar của bạn.
  • Beautifully designed, fully responsive, intuitive interface.
  • Inline editing and instant saving of your options with AJAX (no more form submit/refresh etc.)
  • Một tour du lịch giao diện để làm quen với các tính năng plugin và bố trí.
  • Popover giúp cho mỗi tùy chọn trong các plugin.
  • Khả năng sinh sản vào giao diện plugin như là một độc lập tab / cửa sổ riêng biệt của giao diện quản trị WordPress.
  • Codebase mạnh mẽ và các mô hình tùy chọn / đối tượng.

Phiên bản Pro

Quảng cáo EZ Plugin cho Google AdSense là phiên bản được phân phối tự do của một plugin cao cấp. Các Siêu phiên bản cung cấp cho bạn các tính năng khác.

  • Bộ lọc nội dung an toàn: Để đảm bảo rằng quảng cáo AdSense của Google chỉ hiển thị trên những trang mà dường như tuân thủ chính sách của Google AdSense, mà có thể là quan trọng vì một số ý kiến ​​có thể làm cho trang web của bạn không phù hợp với những chính sách.
  • Bộ lọc IP: Khả năng xác định một danh sách các máy tính nơi quảng cáo của bạn sẽ không được hiển thị, để ngăn chặn tình cờ nhấp chuột vào quảng cáo của riêng bạn -- một trong những lý do chính AdSense cấm bạn. Những tính năng này sẽ giảm thiểu cơ hội của bạn nhận được cấm.
  • Chế độ tương thích: Để giải quyết vấn đề của chèn quảng cáo xuất hiện rối tung lên trang của bạn khi sử dụng một số chủ đề.
  • Category / Control bài: Khả năng chặn các quảng cáo trên các chuyên mục cụ thể, bài viết và trang.
  • Hỗ trợ shortcode: Hiển thị quảng cáo trên các trang web hoặc bài viết mà bạn muốn, và chính xác nơi bạn muốn họ.
  • Hỗ trợ điện thoại di động: Khả năng hiển thị bộ khác nhau của quảng cáo trên các thiết bị di động, hoặc để ngăn chặn quảng cáo.
  • Trích đoạn: Khả năng hiển thị một số cấu hình của quảng cáo trên các đoạn trích (mà làm cho lên trang chủ trong một số chủ đề).
  • Lựa chọn Sets: Nhiều bộ tùy chọn có thể được xác định và dễ dàng chuyển đổi giữa.
  • Đình chỉ quảng cáo: Khả năng ngăn chặn tạm thời phục vụ quảng cáo.
  • Giao diện quản trị Themes: Nhiều màu sắc chương trình cho giao diện quản trị.
  • Phục vụ Quảng cáo Thống kê: Giữ một mắt trên phục vụ thống kê quảng cáo của bạn để đảm bảo rằng Google không shortchanging bạn. (Mô-đun tùy chọn thanh toán)
  • Basic / Expert Modes: Bạn có thể chọn để vận hành nó trong chế độ cơ bản hoặc chuyên gia ngoài các chế độ tiêu chuẩn.

Các chi phí siêu phiên bản $9.45 và có thể mua trực tuyến với các liên kết tải về ngay lập tức.

Cài đặt

Tìm kiếm

Cách dễ nhất để cài đặt plugin này là sử dụng các giao diện WordPress Quản trị. Đến bảng điều khiển quản trị của bạn, tìm "Plugins" thực đơn, và click vào "Thêm mới". Tìm kiếm các plugin này và nhấp vào "Install Now" và làm theo hướng dẫn WordPress.

Tải lên

Nếu bạn muốn tải về và cài đặt bằng tay, bạn lại có thể sử dụng giao diện bảng điều khiển WordPress. Đầu tiên tải về các tập tin zip cắm vào máy tính của bạn. Sau đó đi đến bảng điều khiển quản trị của bạn, tìm "Plugins" thực đơn, và click vào "Thêm mới". Sau khi nhấp vào "Thêm mới" mục trình đơn như trên, click vào "Tải lên" (phía dưới tiêu đề "Cài đặt Plugins" gần đầu trang). Tìm tập tin zip tải về của bạn, tải nó lên và kích hoạt các plugin.

Sử dụng Plugin Interface

Cập nhật thêm (và nâng cấp Pro và cài đặt mô-đun) để các plugin có thể được thực hiện dễ dàng từ cắm trang quản trị bản thân, bằng cách nhấp vào Cập nhật nút ở góc trên bên phải.

Để cài đặt phiên bản chuyên nghiệp của các plugin, xin vui lòng deactivage phiên bản Lite (nếu có) đầu tiên. Sau đó tải lên các tập tin zip mà bạn tải sau khi mua hàng của bạn bằng cách sử dụng giao diện quản trị WordPress hiển thị dưới đây.

[install]

Plugin cập nhật cũng bằng cách làm theo quá trình tương tự, tốt nhất từ ​​cắm trang quản trị nơi bạn sẽ thấy một hình thức tập tin tải lên khi có bản cập nhật đã sẵn sàng. Bản cập nhật đầu tiên cho plugin của bạn mua luôn luôn là miễn phí.

Ảnh chụp màn hình

  1. Quảng cáo EZ Plugin cho Google AdSense "Tổng quan" tab & nbsp;. & nbsp;Screenshot [ads-ez-plugin-for-google-adsense] 1
  2. Làm thế nào để thiết lập các tùy chọn cho quảng cáo EZ Plugin cho Google AdSense & nbsp;. & Nbsp;Screenshot [ads-ez-plugin-for-google-adsense] 2
  3. Cấu hình chi tiết của các plugin & nbsp;. & Nbsp;Screenshot [ads-ez-plugin-for-google-adsense] 3
  4. Tùy chọn để hỗ trợ an toàn, khả năng tương thích, các thiết bị di động và các loại / bài kiểm soát & nbsp;. & nbsp;Screenshot [ads-ez-plugin-for-google-adsense] 4

Thay đổi Đăng nhập

  • V4.20: Compatibility with WP4.8. Sunset edition. [Tháng Tám 1, 2017]
  • V4.10: Compatibility with WP4.6. Many accumulated fixes and changes. Releasing the sunset version. [Tháng Mười 12, 2016]
  • V4.00: Compatibility with WP4.5. [Tháng Tư 12, 2016]
  • V3.98: Improvements in the Google Translator interface. Compatibility with multisite installaton of subdomain type. [Tháng Hai 28, 2016]
  • V3.97: Minor interface and documentation changes. [Tháng Hai 25, 2016]
  • V3.95: Làm việc xung quanh cho các máy chủ mà từ chối để lưu mã quảng cáo vì các thẻ script. [Tháng Hai 18, 2016]
  • V3.94: Hạn chế Google Translate để dịch không dây sử dụng có thể chỉnh sửa. Tối ưu hóa ảnh chụp màn hình. [Tháng Hai 7, 2016]
  • V3.94: Ensuring widget titles can be suppressed in Easy AdSense. [Jan 27, 2016]
  • V3.93: Thêm thông tin chẩn đoán trên các trang cập nhật. [Jan 20, 2016]
  • V3.92: Thay đổi để làm cho các plugin tương thích với các bản cài đặt nhiều trang web. [Jan 14, 2016]
  • V3.91: Adding a dev-friendly include to introduce local settings, nếu có. [Tháng Mười Hai 30, 2015]
  • V3.90: Khả năng tương thích với WordPress 4.4. [Tháng Mười Hai 5, 2015]
  • V3.82: Làm menu quản trị năng động (tùy chọn) trong chế độ độc. Improving DB layer error handling. [Tháng mười một 29, 2015]
  • V3.81: Warning about PHP V5.4 requirement on the admin page. [Tháng mười một 8, 2015]
  • V3.80: Admin pages in your language using Google translation. [Tháng Mười 22, 2015]
  • V3.73: Renaming the Mobile_Detect class for compatibility. [Tháng Mười 14, 2015]
  • V3.72: Improving the speed of admin page loading. [Tháng Chín 30, 2015]
  • V3.71: Killing the option to allow update checks. [Tháng Chín 26, 2015]
  • V3.70: Changes to make the plugin work on nginx and Microsoft servers. [Tháng Chín 20, 2015]
  • V3.64: Ensuring usability on touch-screen devices. [Tháng Chín 17, 2015]
  • V3.63: Reinstating the option to force the admin page loading, moving to a less colorful default theme. [Tháng Chín 14, 2015]
  • V3.62: Thay đổi cấu trúc lại nhỏ. [Tháng Chín 12, 2015]
  • V3.61: Adding the missing EzPlugin.php.[Tháng Chín 9, 2015]
  • V3.60: Removing WP core file loading. [Tháng Chín 4, 2015]
  • V3.52: Fixing a minor error in text-wrapping around the bottom ad. [Tháng Tám 20, 2015]
  • V3.51: Ensuring plugin admin files can be loaded in an iFrame. [Tháng Tám 19, 2015]
  • V3.50: Khả năng tương thích với WordPress 4.3. [Tháng Tám 10, 2015]
  • V3.42: Fixing the "Database Replace/Insert Error" that affected some servers. [Tháng Tám 8, 2015]
  • V3.41: Fixing a bug in mobile detection. [Tháng Tám 1, 2015]
  • V3.40: The plugin now remembers the last used tab. SQL schema change for better compatibility. Fixing a bug that may have caused the plugin not to display ads on some pages/posts. New option to control mid-text ad position in pro version. [Tháng Bảy 30, 2015]
  • V3.35: Minor improvements in setup, plugin active status check and AJAX functions. [Tháng Bảy 26, 2015]
  • V3.34: Minor changes in links. [Tháng Sáu 25, 2015]
  • V3.33: Tài liệu duy nhất thay đổi. [Tháng Sáu 18, 2015]
  • V3.32: Admin page improvements. [May 22, 2015]
  • V3.31: Admin page compatibility checks and improvements. [May 12, 2015]
  • V3.30: Khả năng tương thích với WordPress 4.2. [Tháng Tư 25, 2015]
  • V3.23: Preparing the codebase for the release of AJAX AdSense. [Tháng Tư 17, 2015]
  • V3.22: Improvements in the admin dashboard. [Tháng Tư 14, 2015]
  • V3.21: Improvements in the admin dashboard. [Tháng Tư 14, 2015]
  • V3.20: Launching a demo site. [Tháng Tư 11, 2015]
  • V3.19: More changes in the compatibility check. [Tháng Tư 7, 2015]
  • V3.18: Fixing a style that may have caused the admin page not to appear on some blogs. [Tháng Tư 4, 2014]
  • V3.17: Kiểm tra khả năng tương thích hơn. [Tháng Tư 2, 2015]
  • V3.16: Sửa chữa nhỏ. [Như 27, 2015]
  • V3.15: Sửa một lỗi đó ngăn ngừa các trường tùy biến từ hoạt động đúng. [Như 26, 2015]
  • V3.14: Sửa chữa lỗi nhỏ về quảng cáo trong khi đàn áp không trong vòng lặp. [Như 25, 2015]
  • V3.13: Thêm xử lý lỗi cập nhật. [Như 24, 2015]
  • V3.12: Sửa chữa lỗi nghiêm trọng liên quan đến nhiều đường của các bộ lọc nội dung. Giới thiệu một tùy chọn cách rườm rà. [Như 22, 2015]
  • V3.11: Sửa lỗi nhỏ, và thêm ý kiến ​​chẩn đoán. [Như 21, 2015]
  • V3.10: Hiện tại phiên bản này twitter bootstrap của plugin là tính năng hoàn tất. [Như 19, 2015]
  • V3.09: Thêm thông tin về làm thế nào để trở lại với phiên bản không AJAX của plugin. [Như 16, 2015]
  • V3.08: Tài liệu và khả năng sử dụng cải tiến. [Như 13, 2015]
  • V3.07: Tài liệu và khả năng sử dụng cải tiến. [Như 11, 2015]
  • V3.06: Nhiều thay đổi cho phù hợp với PHP5.30. [Như 11, 2015]
  • V3.04: Những cải tiến trong chức năng kiểm tra đăng nhập. Sửa lỗi tích lũy khác nhau. [Như 9, 2015]
  • V3.03: Killing chức năng ẩn danh cho khả năng tương thích với các phiên bản PHP cũ hơn 5.3. [Như 8, 2015]
  • V3.02: Thay đổi để kiểm tra xác nhận kích hoạt. [Như 7, 2015]
  • V3.01: Sửa đổi các mô-đun cập nhật. Mã nhỏ làm sạch. [Như 5, 2015]
  • V3.00: Complete viết lại của plugin với rất nhiều tính năng hơn. Trang quản trị dựa trên khung bootstrap twitter. [Như 3, 2015]
  • V2.50: Khả năng tương thích với WP4.1. [Jan 8, 2015]
  • V2.40: Đổi tên các plugin theo yêu cầu của Google. [Tháng mười một 30, 2014]
  • 2.30: Tự động tùy chọn di chuyển khi kích hoạt các plugin. [Tháng Chín 26, 2014]
  • V2.22: Thay đổi nhỏ để giao diện quản trị. [Tháng Chín 9, 2011]
  • V2.21: Khả năng tương thích với WP4.0. [Tháng Chín 8, 2014]
  • V2.20: Khả năng tương thích với WP4.0. [Tháng Chín 7, 2014]
  • V2.12: Dịch cập nhật, sửa lỗi nhỏ. [Tháng Bảy 17, 2014]
  • V2.11: Nhỏ sửa chữa lỗi. [May 8, 2014]
  • V2.10: Quốc tế hóa và khả năng tương thích với WP3.9. [May 7, 2014]
  • V2.00: Những thay đổi lớn cho việc thiết kế -- thêm một giao diện dịch, chuẩn bị sẵn sàng để thay đổi tùy chọn xử lý. [Như 22, 2014]
  • V1.81: Thêm tùy chọn để ngăn chặn quảng cáo trên nếp trang trước hoặc trang tìm kiếm. [Jan 5, 2013]
  • V1.80: Kiểm tra khả năng tương thích cho WordPress v3.8. Sửa lỗi trong các tùy chọn di cư. [Tháng Mười Hai 18, 2013]
  • V1.70: Kiểm tra khả năng tương thích với WordPress V3.7. [Tháng mười một 11, 2013]
  • V1.60: Khả năng tương thích với WP3.6. [Tháng Tám 10, 2013]
  • V1.50: Thêm một dịch trang admin. [May 22, 2013]
  • V1.46: Sửa lỗi (Fatal error: Gọi thời gian đi-by-tham khảo đã được gỡ bỏ). [Jan 24, 2013]
  • V1.45: Sửa chữa lỗi. [Tháng Mười Hai 22, 2012]
  • V1.44: Thực thi các chính sách của Google về số lượng quảng cáo, và làm cho các mục pub-id linh hoạt. [Tháng mười một 4, 2012]
  • V1.43: Thay đổi nhỏ để xác nhận các readme.txt. [Tháng Mười 21, 2012]
  • V1.42: Thay đổi nhỏ để xác nhận các readme.txt. [Tháng Mười 21, 2012]
  • V1.41: Phát hành ban đầu của các phiên bản lite. [Tháng Mười 21, 2012]
  • V1.40: Thay đổi giao diện quản trị. [Tháng Chín 30, 2012]
  • V1.31: Chăm sóc một số thông báo gỡ lỗi từ chế độ gỡ lỗi WordPress. [Tháng Tám 28, 2012]
  • V1.30: Niêm yết công khai ban đầu tại WordPress.org. [Tháng Bảy 18, 2012]
  • V1.20: Sửa lỗi, mã hóa cải tiến. [Tháng Chín 9, 2011]
  • V1.00: Phiên bản đầu tiên. [Tháng mười một 15, 2010]

Câu hỏi thường gặp

Làm thế nào tôi có thể kiểm soát sự xuất hiện của các khối quảng cáo sử dụng CSS?

Tất cả <div>s mà quảng cáo EZ Plugin cho Google AdSense tạo có các thuộc tính lớp adsense. Hơn nưa, họ có thuộc tính lớp như adsense-top, adsense-bottom vv, Bạn có thể thiết lập phong cách cho các lớp này trong chủ đề của bạn style.css để kiểm soát sự xuất hiện của họ.

Tôi có thể kiểm soát các khối quảng cáo được định dạng trong mỗi trang?

Có! Trong quảng cáo EZ Plugin cho Google AdSense, bạn có nhiều lựa chọn [thông qua lĩnh vực tùy chỉnh] để kiểm soát khối quảng cáo trong bài viết cá nhân / trang. Thêm các lĩnh vực tùy chỉnh với các phím như adsense-top, adsense-middle, adsense đáy và có giá trị như trái, đúng, trung tâm hoặc không có quyền kiểm soát như thế nào các khối quảng cáo hiển thị trong mỗi bài viết hoặc trang. Giá trị "không" ngăn chặn tất cả các khối quảng cáo trong bài viết hay trang cho nhà cung cấp mà.

Làm thế nào để sử dụng shortcodes?

In the Pro version of this plugin, you can control the ad placements using the shortcode [adsense] trong bài viết blog và trang web của bạn. If you would like to place your ads using shortcodes, please enable it on the Pro page.

Theo mặc định, chỉ những quảng cáo theo quy định của shortcode sẽ được hiển thị (when shortcodes are enabled). You can specify how the plugin handles shortcode priority using a drop-down menu. You have these choices:

  • Do auto placements if shortcode is missing
  • Do not place any ads if shortcode is missing
  • Always ignore shortcodes and do only auto placement
  • Do not place any ads in posts/pages

The last option effectively disables the plugin for the body of posts and pages, để lại các vật dụng không bị ảnh hưởng.

Tôi không hiểu các tính năng Pro. Khiêu dâm và các trang web block - bạn không thể thiết lập các thiết lập trong quá trình quảng cáo Asdense?

Một khả năng chặn quảng cáo từ các trang web nhất định những gì bạn có trong AdSense là. Ví dụ, nếu bạn không thích quảng cáo từ trang web của tôi "thulasidas.com", bạn có thể ngăn chặn chúng. Khả năng chặn quảng cáo những gì các phiên bản chuyên nghiệp cung cấp cho bạn là để khách hàng nhất định. Đó là, nếu bạn không muốn khách truy cập từ các địa chỉ IP nhất định nhìn thấy quảng cáo của bạn (bởi vì họ có thể nhấp chuột vào quá nhiều trong số họ, nhận được tài khoản AdSense của bạn bị cấm, ví dụ), bạn có thể với các plugin của tôi.

Khối khiêu dâm cũng tương tự -- Google cho phép bạn chọn quảng cáo không khiêu dâm (Tôi nghĩ rằng). Plugin gì tôi làm là nhìn vào nội dung của trang web của bạn, và quảng cáo khối nếu nó trông giống như một trang khiêu dâm. (Điều này có thể xảy ra nếu một spammer đăng tải một loại khiêu dâm của bình luận trên blog của bạn, mà lại có thể có được tài khoản AdSense của bạn bị cấm.)

Làm thế nào để báo cáo một lỗi hoặc đặt một câu hỏi?

Vui lòng báo cáo bất kỳ vấn đề, và chia sẻ suy nghĩ và ý kiến ​​của bạn tại diễn đàn Plugin tại WordPress Hoặc liên hệ với tôi.

Nếu bạn có câu hỏi hoặc nhận xét về phiên bản Pro, xin vui lòng không sử dụng các diễn đàn tổ chức tại WordPress.org, nhưng liên hệ với tác giả Plugin sử dụng cổng thông tin hỗ trợ của chúng tôi.

Tôi có thể quay trở lại với phiên bản trước của plugin? Tôi không thích những bootstrap hiện đại / AJAX giao diện.

Bạn có thể tải về phiên bản trước và cài đặt nó. Đầu tiên tắt và xóa các phiên bản mới nhất của plugin, và sau đó thực hiện theo các Tải lên phương pháp dưới Cài đặt phần của tài liệu này. Các phiên bản mới sử dụng một mô hình tùy chọn hoàn toàn khác nhau, và các tùy chọn cũ của bạn đang còn nguyên vẹn trong cơ sở dữ liệu của bạn, để bạn có thể quay trở lại bất cứ lúc nào.

Why do I get error message saying something about direct access to plugin files?

This plugin admin interface is designed with a loosely coupled architecture, which means it interacts with the WordPress core only for certain essential services (login check, plugin activation status, database access etc). Loosely coupled systems tend to be more robust and flexible than tightly integrated ones because they make fewer assumptions about each other. My plugin admin pages are fairly independent, and do not pollute the global scope or leak the style directives or JavaScript functions. In order to achieve this, they are loaded in iFrames within the WordPress admin interface.

Your web server needs direct access to the plugin files to load anything in an iFrame. Some aggressive security settings block this kind of access, usually through an .htaccess file in your wp-content hoặc plugins folders, which is why this plugin gives a corresponding error message if it detects inability to access the files (checked through a file_get_contents call on a plugin file URL). But some systems implement further blocks specifically on file_get_contents or on iFrames with specific styles (sử dụng mod_securty rules, ví dụ), which is why the plugin provides a means to override this auto-detection and force the admin page.

Is the direct access to plugin files a security hole?

Note that it is only your own webserver that needs direct access to the PHP files. The reason for preventing such access is that a hacker might be able to upload a malicious PHP (or other executable script) to your web host, which your webserver will run if asked to. Such a concern is valid only on systems where you explicitly permit unchecked file uploads. Ví dụ, if anyone can upload any file to your media folder, and your media folder is not protected against direct access and script execution, you have given the potential hacker an attack vector. This plugin has no upload facility, so allowing your webserver to serve the plugin admin files in an iFrame is completely safe, in my judgement.

WP-Plus

WP PlusNày và bổ sung khác có thể được cài đặt và quản lý sử dụng liên tục WP-Nhiều hơn -- thế hệ tiếp theo của WordPress, phát triển cho blogger chuyên nghiệp có nhu cầu bổ sung chuyên nghiệp và chủ đề. Nếu bạn là một nhà phát triển các plugin chuyên nghiệp hay một blogger (một trong những người hy vọng sẽ kiếm sống ra khỏi blog hoặc diễn đàn Phát triển liên quan đến), hãy kiểm tra xem nó ra!
Xem thêm:& Nbsp; & nbsp;Plugin khác
Nếu bạn thích những nỗ lực của các plugin của tôi, xin vui lòng để lại nhận xét bằng cách sử dụng đăng nhập Facebook của bạn dưới đây.
Nếu bạn cần sự giúp đỡ, xin vui lòng sử dụng của chúng tôi hỗ trợ cổng thông tin thay vì. & Nbsp;ezSupport Portal
[Tự hào mang đến cho bạn EZ TrảPal.]

Bình luận